PGASetEvaluation(1)

NAME
PGASetEvaluation - Set the evaluation function value for a string to a specified value.

DESCRIPTION
Also sets the evaulation up to date flag to PGA_TRUE.

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population string p is in
val - the (user) evaluation value to assign to string p

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetEvaluation(ctx, p, pop, val)
PGAContext *ctx
int p
int pop
double val

LOCATION
evaluate.c

EXAMPLE
Example:
Set the evaluation function value of string p in population PGA_NEWPOP
to 123.456.

PGAContext *ctx;
int p;
:
PGASetEvaluation(ctx, p, PGA_NEWPOP, 123.456);